Summary: A multipurpose X11 plotting program
Name:    plotmtv
Version: 1.4.1
Release: 6%{?dist}
License: GPLv2
Group:   Applications/Engineering
URL:     http://ftp.x.org/contrib/applications
Source:  http://ftp.x.org/contrib/applications/Plotmtv1.4.1.tar.Z
Patch:   Plotmtv1.4.1.patch
BuildRequires: time libXt-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
PLOTMTV is a multipurpose X11 plotting program. PLOTMTV's
capabilities include 2D line and scatter plots (x-vs-y), contour plots, 3D
surface, line and scatter plots as well as vector plots. The program has a
rough but functional Graphical User Interface, through which it is possible
to zoom in, zoom out, pan, toggle between 2D and 3D plots, and rotate 3D
plots. Both color and grayscale postscript output are supported.

Printable documentation is in the %{_datadir}/doc/%name-%{version} directory. If
you have relocated the package the docs will be in the appropriate
directory. The documentation covers the use of plotmtv and the data file
format. 

%prep

%setup -q -n Plotmtv1.4.1
%patch -p1

%build
chmod -R a-s * .* *.*
make -f Makefile.orig

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -m 755 ./Bin/* %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m 644 ./Docs/plotmtv.l %{buildroot}%{_mandir}/man1/plotmtv.1

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Plotmtv1.4.1.README README.INSTALL README.VERSION
%doc Docs/data_format/Frame/* Utils/README
%{_bindir}/ctr2mtv
%{_bindir}/drawplot2mtv
%{_bindir}/mtv2mtv
%{_bindir}/pdraw2mtv
%{_bindir}/plotmtv
%{_mandir}/man1/plotmtv.*

%changelog
* Sun Jan 09 2011 Paulo Roma <roma@lcg.ufrj.br> 1.4.1-6
- Added BR time and libXt-devel.
- Not stripping for not having an empty debuginfo rpm.

* Sun Sep 20 2009 Paulo Roma <roma@lcg.ufrj.br> 1.4.1-5
- Changed license and Summary.

* Sun Apr 08 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.1-4
- Improved spec file.
- Selected doc material.

* Fri Feb 16 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.1-3
- Rebuilt for Fedora 6.
- Fixed man location.

* Wed Jul 12 2006 Paulo Roma <roma@lcg.ufrj.br> 1.4.1-2
- Initial version.

* Sat Mar 20 1999 Prabhu Ramachandran <prabhu@aero.iitm.ernet.in> 1.4.1-1
- I am the current maintainer.
